Download it now!
Bug 49876 - ODF Compatibility - attribute "fo:font-size" has a bad value
Summary: ODF Compatibility - attribute "fo:font-size" has a bad value
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: odf odf_validation target:3.7.0 targe...
Keywords:
Depends on:
Blocks: 49569
  Show dependency treegraph
 
Reported: 2012-05-13 11:27 UTC by Ferry Toth
Modified: 2012-10-29 11:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Presentation refered to in #1 (1.51 MB, application/vnd.oasis.opendocument.presentation)
2012-05-13 11:27 UTC, Ferry Toth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ferry Toth 2012-05-13 11:27:38 UTC
Created attachment 61570 [details]
Presentation refered to in #1

Validated by http://odf-validator.rhcloud.com/

Specific message:
MATRIX Presentation.odp/styles.xml[2,17868]: Error: attribute "fo:font-size" has a bad value

Ferry
Comment 1 Michael Stahl (allotropia) 2012-09-14 13:05:57 UTC
LO operates on the garbage-in garbage-out principle here,
i.e. the bugdoc already contains fo:font-size="0pt" and that
is then written out unmodified.

that's not a valid font size, so i guess enforcing a minimum
of say 1pt on import/export should fix this.
Comment 2 Not Assigned 2012-09-14 13:09:54 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9699f82edf67a55f4cfdd885fa779b13d816c87

fdo#49876: ODF export: do not export font-size="0pt"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-09-14 15:38:59 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a4e3055818f7d5b22cd1c5577fc17ebbe4d38f96&g=libreoffice-3-5

fdo#49876: ODF export: do not export font-size="0pt"


It will be available in LibreOffice 3.5.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-09-17 07:58:58 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93d781b42c9596fddedc863ecc0740a7a84c072a&g=libreoffice-3-6

fdo#49876: ODF export: do not export font-size="0pt"


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Thorsten Behrens (allotropia) 2012-10-26 20:14:12 UTC
(In reply to comment #1)
> that's not a valid font size, so i guess enforcing a minimum
> of say 1pt on import/export should fix this.
>
Permissible are also values smaller than 1 - I wonder if we do not kill legitimate uses cases e.g. in Draw with 1pt?
Comment 6 Michael Stahl (allotropia) 2012-10-28 19:07:39 UTC
(In reply to comment #5)
> (In reply to comment #1)
> > that's not a valid font size, so i guess enforcing a minimum
> > of say 1pt on import/export should fix this.
> >
> Permissible are also values smaller than 1 - I wonder if we do not kill
> legitimate uses cases e.g. in Draw with 1pt?

seriously? 

the toolbar size box in Draw seems to have an enforced minimum
of 2pt ... same for the "Character format" dialog.

and you do have to zoom to 400% to be able to read 2pt.
Comment 7 Thorsten Behrens (allotropia) 2012-10-29 11:36:17 UTC
(In reply to comment #6)
> seriously? 
> 
Yes.